Name:		elementary-xfce
Summary:	Elementary icons forked from upstream, extended and maintained for Xfce
Version:	0.14
Release:	%mkrel 2
# svgtopng.c is LGPLv2+
License:	GPLv2 and LGPLv2+
Group:		Graphical desktop/XFCE
Url:		https://github.com/shimmerproject/elementary-xfce
Source0:	https://github.com/shimmerproject/elementary-xfce/archive/v%{version}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	optipng
BuildRequires:	symlinks
BuildRequires:	librsvg2
BuildRequires:	pkgconfig(gtk+-3.0)

%description
An icon-theme maintained with Xfce in mind, but it should work on other
desktops like Gnome3 as well.

It is a fork of the upstream elementary project (http://elementary.io).
The reason for forking was that the project decided to focus on its own
desktop environment and dropped a ton of (ugly, but necessary) symlinks.
This icon-theme is supposed to keep everything working, but gets updates
from upstream occasionally.

%package icon-theme
Summary:	Elementary icons forked from upstream, extended and maintained for Xfce
Provides:	%{name} = %{version}-%{release}
Requires: gtk+3.0

%description icon-theme
An icon-theme maintained with Xfce in mind, but it should work on other
desktops like Gnome3 as well.

It is a fork of the upstream elementary project (http://elementary.io).
The reason for forking was that the project decided to focus on its own
desktop environment and dropped a ton of (ugly, but necessary) symlinks.
This icon-theme is supposed to keep everything working, but gets updates
from upstream occasionally.

%prep
%setup -q

# fix docs
rm -rf elementary-xfce*/AUTHORS
rm -rf elementary-xfce*/CONTRIBUTORS
rm -rf elementary-xfce*/README.md

# use drakconf icon inherited from hicolor theme (drakconf-icons pkg)
find elementary* -name "drakconf*" -delete

%build
# no traditional configure script
./configure --prefix=%{_prefix}

# no parallel build
%__make

%install
%make_install

# drop danling symlinks
symlinks -rd %{buildroot}

%post icon-theme
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  for d in %{_iconsdir}/elementary-xfce*; do
    %{_bindir}/gtk-update-icon-cache --force --quiet $d
  done
fi

%files icon-theme
%dir %{_iconsdir}/elementary-xfce/
%{_iconsdir}/elementary-xfce/*/
%{_iconsdir}/elementary-xfce/index.theme

%dir %{_iconsdir}/elementary-xfce-dark/
%{_iconsdir}/elementary-xfce-dark/*/
%{_iconsdir}/elementary-xfce-dark/index.theme

%dir %{_iconsdir}/elementary-xfce-darker/
%{_iconsdir}/elementary-xfce-darker/*/
%{_iconsdir}/elementary-xfce-darker/index.theme

%dir %{_iconsdir}/elementary-xfce-darkest/
%{_iconsdir}/elementary-xfce-darkest/actions
%{_iconsdir}/elementary-xfce-darkest/index.theme


%changelog
* Sun Sep 04 2022 tex - 0.14-2pclos2022
- rebuild against updates

* Tue Aug 27 2019 tex - 0.14-1pclos2019
- new version 0.14
